## nightview current

=== homepage/Makefile ===
#
# process #include directores in html file in .html files
# in fashion of Apache's SSI includes
#
# the tags: <!-- #include virtual="*" --> are replaced by content of a file
# 
# $Id: Makefile,v 1.3 2008-01-25 21:54:49 hroch Exp $
#

.SUFFIXES: .sgml .html

TARGETS= nightview.html features.html developer.html download.html \
         install.html basic.html screenshots.html  documents.html \
         developer.html configure.html faq.html history.html manual.html

all: $(TARGETS)

install: all
	ln -s nightview.html index.html

clean:
	rm -f $(TARGETS); rm -f *~; rm -f index.html

.sgml.html:
	awk -f incl.awk $< >$@

=== debian/changelog ===
nightview (0.3.0-0) unstable; urgency=low

  * Important major changes. The great important changes in architecture.

 -- F. Hroch <hroch@physics.muni.cz>  Fri, 25 Oct 2002 22:09:52 +0100

nightview (0.2-2) unstable; urgency=low

  * Many minor improvements. Spliting to more packages due to dependencies.

 -- F. Hroch <hroch@physics.muni.cz>  Sun, 13 Jan 2002 14:22:36 +0100

nightview (0.2-1) unstable; urgency=low

  * Some minor improvements.

 -- F. Hroch <hroch@physics.muni.cz>  Sun,  2 Dec 2001 19:01:22 +0100

nightview (0.1-1) unstable; urgency=low

  * Initial Release.

 -- F. Hroch <hroch@physics.muni.cz>  Wed, 17 Oct 2001 19:51:21 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: nightview
Section: misc
Priority: optional
Maintainer: F. Hroch <hroch@physics.muni.cz>
Build-Depends: debhelper (>> 3.0.0), sbig-linux (>> 2.0), libcfitsio-dev (>> 2.0), libcurl2-dev (>> 7.0.0), libgtk1.2-dev (>> 1.2.0), libgdk-pixbuf-dev (>> 0.22.0)
Standards-Version: 3.5.2

Package: libccdsbig-dev
Architecture: i386
Depends: libc6 (>= 2.2), sbig-linux (>= 2.2), libccdsbig(>= 0.3.0)
Description: Wrapper library to libsbig
 This is a wrapper for the driver library libsbig by S. Ashe. 
 .
 Static library.
 
Package: libccdsbig
Architecture: i386
Depends: libc6 (>= 2.2), sbig-linux (>= 2.2)
Description: Wrapper library to libsbig
 This is a wrapper for the driver library libsbig by S. Ashe. 
 .
 Runtime library used only by nightview server.
 
Package: libccdnet-dev
Architecture: any
Depends: libc6 (>= 2.2), libcurl2 (>= 7.9.2-1) | libcurl2-ssl (>= 7.9.2-1)
Description: Client part of CCD library. 
 This library provides unified and transparent interface to use
 CCD camera over network. 
 .
 Static library.
 
Package: libccdnet
Architecture: any
Depends: libc6 (>= 2.2), libcurl2 (>= 7.9.2-1) | libcurl2-ssl (>= 7.9.2-1)
Description: Client part of CCD library. 
 This library provides unified and transparent interface to use
 CCD camera over network. 
 .
 Runtime library. Used by clients

Package: nightview-server
Architecture: any
Depends: libc6 (>= 2.2), libccdsbig (>= 0.3.0), cfitsio2 (>= 2.2) |  libcfitsio2 (>= 2.2)
Description: Server to control of CCD camera.
 This package provides local daemon for control of a CCD camera.

Package: nightview-shell
Architecture: any
Depends: libc6 (>= 2.2), cfitsio2 (>= 2.2) |  libcfitsio2 (>= 2.2), libccdnet (>= 0.3)
Description: Console utilities to control of CCD camera.
 This package provides console utilities to control of a CCD camera.

Package: nightview-gtk
Architecture: any
Depends: libc6 (>= 2.2), libgtk1.2 (>= 1.2), cfitsio2 (>= 2.2) |  libcfitsio2 (>= 2.2), libccdnet (>= 0.3)
Description: Graphical utility to control of CCD camera.
 This package provides graphical frontend to control of a CCD camera.

Package: nightview-doc
Architecture: all
Description: Documentation for nightview
 A few words how to use of the nightview.
 .
 The ps, pdf and html formated documentation with figures created 
 by the Docbook system from XML source. 

Package: nightview-remote
Architecture: any
Depends: libc6 (>= 2.2), boa (>= 0.9)
Description: A server to remote control of CCD camera.
 This package provides remote access for nightview-server and mount-server.
 .
 This package contains shell scripts to run http server (boa) and cgi 
 routine to comunicate with CCD camera over internet. 
  
Package: mount-server
Architecture: any
Depends: libc6 (>= 2.2)
Recommends: httpd
Description: Server to control of telescope mount.
 This package provides local daemon for control of telescope mount.
 .
 This server require an additional, user provided commands to
 control of your own mount. The low-level shell commands for 
 a specified mount must be provided.

Package: mount-shell
Architecture: any
Depends: libc6 (>= 2.2), libccdnet (>= 0.3.0)
Description: Console utilities to control of telescope mount.
 This package provides console utilities to control of mount of telescope.

Package: mount-xmove
Architecture: any
Depends: libc6 (>= 2.2), libwxgtk2.4-python, mount-shell (>= 0.3)
Description: Graphical utility to control of telescope mount.
 This package provides graphical frontend to control of mount of telescope.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a nightview package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.
#
# $Id: rules,v 1.21 2004-12-24 16:28:47 hroch Exp $

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# the version numbers here must by the same as in lib/Makefile !!!!!
#VERSION = 0.3.0

MAJOR = 0

configure:
	dh_testdir
	# Add here commands to configure the package.
	bootstrap
        ./configure --prefix=$(CURDIR)/debian/tmp

build: 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) VERSION=$(VERSION) MAJOR=$(MAJOR)

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	#dh_installdirs

	# Add here commands to install the package into debian/nightview.
	dh_installdirs -plibccdsbig usr/lib
	dh_installdirs -plibccdsbig-dev usr/include
	dh_installdirs -plibccdsbig-dev usr/lib
	dh_installdirs -plibccdnet usr/lib
	dh_installdirs -plibccdnet-dev usr/include
	dh_installdirs -plibccdnet-dev usr/lib
	dh_installdirs -pnightview-shell usr/bin
	dh_installdirs -pnightview-shell usr/share/man/man1
	dh_installdirs -pnightview-gtk usr/bin
	dh_installdirs -pnightview-gtk usr/share/man/man1
	dh_installdirs -pnightview-server usr/sbin
	dh_installdirs -pnightview-server usr/share/man/man8
	dh_installdirs -pnightview-remote usr/lib/nightview/cgi-bin
	dh_installdirs -pnightview-remote usr/share/man/man8
	dh_installdirs -pnightview-remote usr/share/nightview/html
	dh_installdirs -pnightview-remote usr/sbin
	dh_installdirs -pnightview-doc usr/share/doc/nightview-doc
	dh_installdirs -pnightview-doc usr/share/doc/nightview-doc/html
	dh_installdirs -pnightview-doc usr/share/man/man1
	dh_installdirs -pmount-shell usr/bin
	dh_installdirs -pmount-shell usr/share/man/man1
	dh_installdirs -pmount-server usr/sbin
	dh_installdirs -pmount-server usr/share/man/man8
	dh_installdirs -pmount-xmove usr/bin
	dh_installdirs -pmount-xmove usr/share/man/man1
	mkdir -p debian/tmp/usr/include
	mkdir -p debian/tmp/usr/lib
	mkdir -p debian/tmp/usr/lib/nightview
	mkdir -p debian/tmp/usr/lib/nightview/cgi-bin
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/usr/sbin
	mkdir -p debian/tmp/usr/share/doc/nightview-doc
	mkdir -p debian/tmp/usr/share/doc/nightview-doc/html
	mkdir -p debian/tmp/usr/share/man/man1
	mkdir -p debian/tmp/usr/share/man/man8
	mkdir -p debian/tmp/usr/share/nightview
	mkdir -p debian/tmp/usr/share/nightview/html
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: nightview-doc mount-xmove
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
	dh_installman -i -pnightview-doc
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
#	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: libccdsbig libccdsbig-dev libccdnet libccdnet-dev \
	nightview-server nightview-shell nightview-gtk \
	mount-server mount-shell nightview-remote
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
#	dh_installexamples -a
	dh_installmenu -pnightview
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -pnightview-server
	dh_installinit -pnightview-remote
	dh_installinit -pmount-server
#	dh_installcron -a
#	dh_installman -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
#	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a 
	dh_perl -a
#	dh_shlibdeps -a -lusr/lib:/usr/local/lib:${INC_SBIG}
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

libccdsbig:
	install -s debian/tmp/usr/lib/libccdsbig.so.${VERSION} debian/libccdsbig/usr/lib
	dh_link -plibccdsbig usr/lib/libccdsbig.so.${VERSION} usr/lib/libccdsbig.so
	dh_link -plibccdsbig usr/lib/libccdsbig.so.${VERSION} usr/lib/libccdsbig.so.${MAJOR}

libccdsbig-dev: 
	install -m644 debian/tmp/usr/include/ccd.h debian/libccdsbig-dev/usr/include
	install -s debian/tmp/usr/lib/libccdsbig.a debian/libccdsbig-dev/usr/lib

libccdnet: 
	install -s debian/tmp/usr/lib/libccdnet.so.${VERSION} debian/libccdnet/usr/lib
	dh_link -plibccdnet usr/lib/libccdnet.so.${VERSION} usr/lib/libccdnet.so
	dh_link -plibccdnet usr/lib/libccdnet.so.${VERSION} usr/lib/libccdnet.so.${MAJOR}

libccdnet-dev: 
	install -m644 debian/tmp/usr/include/commands.h debian/libccdnet-dev/usr/include
	install -s debian/tmp/usr/lib/libccdnet.a debian/libccdnet-dev/usr/lib

nightview-server:
	install -m 6766 -s debian/tmp/usr/sbin/nightviewd debian/nightview-server/usr/sbin
	install -m 0744 debian/tmp/usr/sbin/nightview-conf debian/nightview-server/usr/sbin
	install debian/tmp/usr/share/man/man8/nightviewd.8 debian/nightview-server/usr/share/man/man8
	install debian/tmp/usr/share/man/man8/nightview-conf.8 debian/nightview-server/usr/share/man/man8

nightview-remote:
	install -m 6766 -s debian/tmp/usr/lib/nightview/cgi-bin/nightview.cgi debian/nightview-remote/usr/lib/nightview/cgi-bin
	install -m 0744 debian/tmp/usr/sbin/nightview-boa debian/nightview-remote/usr/sbin
	install -m 0744 debian/tmp/usr/sbin/nightview-thttpd debian/nightview-remote/usr/sbin
	install -m 0644 debian/tmp/usr/share/nightview/html/index.boa.html debian/nightview-remote/usr/share/nightview/html
	install -m 0644 debian/tmp/usr/share/nightview/html/nightview.html debian/nightview-remote/usr/share/nightview/html
	install debian/tmp/usr/share/man/man8/nightview-boa.8 debian/nightview-remote/usr/share/man/man8
	install debian/tmp/usr/share/man/man8/nightview-thttpd.8 debian/nightview-remote/usr/share/man/man8

nightview-shell:
	install -s debian/tmp/usr/bin/night_filter debian/nightview-shell/usr/bin
	install -s debian/tmp/usr/bin/night_exposure debian/nightview-shell/usr/bin
	install -s debian/tmp/usr/bin/night_temperature debian/nightview-shell/usr/bin
	install -s debian/tmp/usr/bin/night_power debian/nightview-shell/usr/bin
	install -s debian/tmp/usr/bin/night_dark debian/nightview-shell/usr/bin
	install -s debian/tmp/usr/bin/night_keylist debian/nightview-shell/usr/bin
	install    debian/tmp/usr/bin/night_control debian/nightview-shell/usr/bin
	install    debian/tmp/usr/bin/night_darks debian/nightview-shell/usr/bin
	install    debian/tmp/usr/bin/night_flats debian/nightview-shell/usr/bin
	install    debian/tmp/usr/bin/nightview-test debian/nightview-shell/usr/bin
	install debian/tmp/usr/share/man/man1/night_filter.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_exposure.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_temperature.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_power.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_dark.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_keylist.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_control.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_darks.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/night_flats.1 debian/nightview-shell/usr/share/man/man1
	install debian/tmp/usr/share/man/man1/nightview-test.1 debian/nightview-shell/usr/share/man/man1

nightview-gtk:
